/* Estilos generales del cuerpo del documento */
body {
  font-family: Arial, sans-serif;
  background-color: #f2f2f2;
}

/* Contenedor principal que envuelve toda la interfaz */
.contenedor {
  display: flex;
  height: 100vh;
}

/* Barra lateral de la interfaz */
.barra-lateral {
  width: 30%;
  background-color: #ededed;
  padding: 20px;
  display: flex;
  flex-direction: column;
}

.divBtnCerrarSesion {
  width: 100%;
  text-align: center;
}

#cerrarSesionBtn {
  margin-top: auto;
  padding: 10px 20px;
  border-radius: 20px;
  border: none;
  background-color: #128C7E;
  color: #fff;
  cursor: pointer;
  outline: none;
  font-size: 14px;
  font-weight: bold;
  transition: background-color 0.3s ease;
}

#cerrarSesionBtn a {
  color: #fff;
  text-decoration: none;
}

/* Área principal de chat */
.area-chat {
  flex-grow: 1;
  background-color: #fff;
  display: flex;
  flex-direction: column;
}

/* Encabezado de la interfaz */
.encabezado {
  padding: 20px;
  background-color: #128C7E;
  color: #fff;
  font-weight: bold;
  text-align: center; /* Centrar el contenido del encabezado */
}

/* Lista de contactos en la barra lateral */
.lista-contactos {
  list-style-type: none;
  padding: 0;
  margin: 0;
  height: 95%;
  overflow-y: auto;
}

.lista-contactos li {
  display: flex;
  align-items: center;
  padding: 10px;
  border-bottom: 1px solid #ccc;
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.lista-contactos li:hover {
  background-color: #f2f2f2;
}

.lista-contactos li .avatar {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  margin-right: 10px;
  background-color: #ccc;
}

.lista-contactos li .info-contacto {
  flex-grow: 1;
}

.lista-contactos li .nombre-contacto {
  font-weight: bold;
}

.lista-contactos li .ultimo-mensaje {
  color: #888;
}

/* Ventana de chat */
.ventana-chat {
  flex-grow: 1;
  padding: 20px;
  overflow-y: auto;
}

/* Estilos para los mensajes */
.mensaje {
  display: flex;
  flex-direction: column;
  margin-bottom: 20px;
}

.mensaje .remitente {
  font-weight: bold;
  color: #128C7E;
}

.mensaje .contenido {
  margin-top: 5px;
}

.mensaje.yo {
  align-self: flex-end;
  margin-bottom: 8px;
  align-items: flex-end;
}

.mensaje.yo .contenido {
  background-color: #DCF8C6;
  color: #000;
  border-radius: 16px 16px 0 16px;
  padding: 10px;
  max-width: 40%;
}

.mensaje.otro-usuario {
  align-self: flex-start;
  margin-bottom: 8px;
  align-items: flex-start;
}

.mensaje.otro-usuario .contenido {
  background-color: #E2E2E2;
  color: #000;
  border-radius: 16px 16px 16px 0;
  padding: 10px;
  max-width: 40%;
}

/* Área de entrada de texto */
.area-input {
  padding: 20px;
  background-color: #f5f5f5;
  display: flex;
  align-items: center;
}

.area-input input[type="text"] {
  flex-grow: 1;
  padding: 10px;
  border-radius: 20px;
  border: none;
  outline: none;
  font-size: 14px;
}

.area-input button {
  margin-left: 10px;
  padding: 10px 20px;
  border-radius: 20px;
  border: none;
  background-color: #128C7E;
  color: #fff;
  cursor: pointer;
  outline: none;
  font-size: 14px;
  font-weight: bold;
  transition: background-color 0.3s ease;
}

.area-input button:hover {
  background-color: #0D7255;
}

/* Clase para ocultar elementos */
.oculto {
  display: none;
}

/* Estilos para el formulario de unirse a sala */
#salaFormulario {
  margin-bottom: 20px;
}

#unirseSalaForm {
  display: flex;
  align-items: center;
}

#nombreSalaInput {
  flex-grow: 1;
  padding: 10px;
  border-radius: 20px;
  border: none;
  outline: none;
  font-size: 14px;
}

#unirseSalaForm input[type="submit"] {
  margin-left: 10px;
  padding: 10px 20px;
  border-radius: 20px;
  border: none;
  background-color: #128C7E;
  color: #fff;
  cursor: pointer;
  outline: none;
  font-size: 14px;
  font-weight: bold;
  transition: background-color 0.3s ease;
}

#unirseSalaForm input[type="submit"]:hover {
  background-color: #0D7255;
}

/* Estilos para el botón de salir de sala */
#salirSalaBtnAreaChat {
  margin-top: 10px;
  padding: 10px 20px;
  border-radius: 20px;
  border: none;
  background-color: #128C7E;
  color: #fff;
  cursor: pointer;
  outline: none;
  font-size: 14px;
  font-weight: bold;
  transition: background-color 0.3s ease;
}

#salirSalaBtnAreaChat:hover {
  background-color: #0D7255;
}

/* Media queries para tablet y dispositivos móviles */
@media only screen and (max-width: 768px) {
  .contenedor {
    flex-direction: column;
  }
  
  .barra-lateral {
    width: 100%;
    height: auto;
    padding: 10px;
  }
  
  .encabezado,
  .lista-contactos {
    padding: 10px;
  }
  
  .ventana-chat {
    padding: 10px;
    max-height: calc(100vh - 250px); 
    overflow-y: auto; 
  }
  
  .area-input {
    padding: 10px;
  }
  
  .area-input input[type="text"] {
    padding: 8px;
  }
}